Problems compiling OpenSSH [no version info] on HP-UX 10.20 w as: (no subject)

Jiwen Liu jiwen at
Thu Aug 19 02:45:01 EST 2004

Aloha Rip

Thanks for your quick response. I did compile OpenSSH stuffs by using GCC
2.95.2 first, the error is the same. Since there are no issues on other
platforms by using GCC 3.3.2, I tried to take a luck on HP-UX 10.20 by
using  GCC 3.3.2. Unfortunately, it is same, even at the same line

What I am guessing is that it could be from some system environment
variable setting, but I am not sure what they are.

I did read the web link about FAQ on coreuitls before raising a help, and
I thought it might be not helpful for this "configure" issue at this moment.

Now I am going to use bash instead of Bourne Shall to see if the
configuration scripts works.

Again, Mahalo


On Wed, 18 Aug 2004, Loomis, Rip wrote:

> Aloha Jiwen--
> I'm not sure you saw the message below, which was only
> sent to the list.  Having seen your other message to
> me, I would suggest trying to compile OpenSSH using
> GCC 2.95.2 -- that's what I've got installed on my HP-UX
> systems and I've had no problem with it.  Was there a
> specific reason that you wanted to upgrade to GCC 3.3.2?
> You might also try compiling the OpenSSH 3.9.p1 release,
> which just came out last night--but I don't think it
> will fix this problem.  The more I think about it, the
> more I wonder if compiling bash might help--bash might
> be better able to handle the options for this compile.
> There's no really sensible way to work around the configure
> script, since it sets things up in several places and
> gets you ready to run "make".
> Hope this helps--and please CC any follow-up messages
> to the openssh-dev list so that other folks can see
> what problems you're having--there are a lot of folks
> there who might be better able to help.
> If I get a chance today then I'll be compiling 3.9p1
> on HP-UX 10.20 and I'll let you know how it goes--it
> will probably take a while though since my 10.20 systems
> are old and slow, and I'll need to update OpenSSH first.
>   --Rip
> -----Original Message-----
> From: at
> [ at]
> On Behalf Of bob at
> Sent: Wednesday, August 18, 2004 10:18 AM
> To: openssh-unix-dev at
> Subject: Re: Problems compiling OpenSSH [no version info] on HP-UX 10.20
> was: (no subject)
> Loomis, Rip wrote:
> > Going back to the configure script issue and probable
> > causes: The specific problem you're seeing isn't one
> > I've seen before,
> The error was "Arg list too long".  Here is some FAQ information about
> it so I won't repeat it here.
> %20too%20long
> > but I've compiled OpenSSH on HP-UX 10.20 before and had no issues
> Me too.  No issues.
> > (well, apart from the fact that IIRC there were issues with
> > translating hostnames and IPs into things useful to log...or was
> > that an antiquated IRIX version?).
> Works fine for me.  Must have been the IRIX version. :-)
> Bob
> _______________________________________________
> openssh-unix-dev mailing list
> openssh-unix-dev at

More information about the openssh-unix-dev mailing list